<?php
/**
* 2007-2014 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2014 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_'))
	exit;

class Medialoader extends Module
{
	public function __construct()
	{
		$this->name = 'medialoader';
		$this->tab = 'front_office_features';
		$this->version = '1.1.0';
		$this->author = 'Tuni-Soft';
		$this->need_instance = 0;

		/**
		 * Set $this->bootstrap to true if your module is compliant with bootstrap (PrestaShop 1.6)
		 */
		$this->bootstrap = true;

		parent::__construct();

		$this->displayName = $this->l('Media Loader');
		$this->description = $this->l('Loads personal js and css file into the front office');
	}

	public function install()
	{
		return parent::install() && $this->registerHook('header') && $this->registerHook('displayBackOfficeHeader');
	}

	/**
	 * Load the configuration form
	 */
	public function getContent()
	{
		/**
		 * If values have been submitted in the form, process.
		 */
		$this->context->smarty->assign('module_dir', $this->_path);

		$output = $this->context->smarty->fetch($this->local_path.'views/templates/admin/configure.tpl');

		return $output;
	}

	/**
	 * Add the CSS & JavaScript files you want to be added on the FO.
	 */
	public function hookHeader()
	{

		if (! method_exists($this->context->controller, 'addJquery'))
				return false;
		$this->context->controller->addJquery();

		$js_files = glob(_PS_MODULE_DIR_.$this->name.'/js/[!_]*.{js,JS}', GLOB_BRACE);
		if (count($js_files))
			$this->context->controller->addJS($js_files);

		$css_files = glob(_PS_MODULE_DIR_.$this->name.'/css/[!_]*.{css,CSS}', GLOB_BRACE);
		if (count($css_files))
			$this->context->controller->addCSS($css_files);
	}

	public function hookDisplayBackOfficeHeader()
	{

		if (! method_exists($this->context->controller, 'addJquery'))
				return false;
		$this->context->controller->addJquery();

		$js_files = glob(_PS_MODULE_DIR_.$this->name.'/bo_js/[!_]*.{js,JS}', GLOB_BRACE);
		if (count($js_files))
			$this->context->controller->addJS($js_files);

		$css_files = glob(_PS_MODULE_DIR_.$this->name.'/bo_css/[!_]*.{css,CSS}', GLOB_BRACE);
		if (count($css_files))
			$this->context->controller->addCSS($css_files);
	}


}
